Update an account by ID

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Account ID

Body Params
string

Optional reference ID (must be a valid UUID v4 or CUID). If provided, this will be used as the internal account ID.

string
enum
required

Type of payment account.

Allowed:
boolean

Does this account belong to the customer (first party) or a third party? Defaults to false.

string

Optional name for the account.

string
enum

Currency code.

number

Developer variable fee for virtual bank accounts with automatic conversion to a stablecoin. If you want a 1% fee, set this to 0.01.

rails
array of strings

The payment rails this account should have access to. Only applicable for external bank accounts in the US and BR. If not provided, the account will have access to all rails.

rails
digitalAssetWallet
object

Digital asset wallet details.

bank
object

Bank account details.

string

[DEPRECATED - use liquidationInformation instead] If you would like to automatically convert received funds (e.g., USD to USDC), provide the account ID of the account (external or virtual) that will receive the liquidated funds. This is only applicable for virtual accounts.

liquidationInformation
object

If you would like to automatically convert received funds (e.g., USD) to a stablecoin (e.g., USDC), provide the liquidation information.

eWallet
object

E-wallet details.

accountHolder
object

Account holder details.

Responses
200

The account has been successfully updated.

404

Account not found.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!